classification
Title: explain the relationship between Lib/lib2to3/Grammar.txt and Grammar/Grammar
Type: enhancement Stage: resolved
Components: Documentation Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: benjamin.peterson, docs@python, eric.araujo, gvanrossum, orsenthil, python-dev, tshepang
Priority: normal Keywords:

Created on 2012-01-11 10:59 by tshepang, last changed 2012-01-16 02:28 by python-dev. This issue is now closed.

Messages (2)
msg151055 - (view) Author: Tshepang Lekhonkhobe (tshepang) * Date: 2012-01-11 10:59
Lib/lib2to3/Grammar.txt seems like a modified copy of Grammar/Grammar. Can you state so somewhere, maybe in the beginning of Lib/lib2to3/Grammar.txt (the Note section).

One problem with the way it is now, is that there are changes done to Grammar/Grammar that are not put into Lib/lib2to3/Grammar.txt. Maybe they are minor, but I think we don't want them diverging too much.

Another problem is that the Note on Lib/lib2to3/Grammar.txt maybe irrelevant, since this is not the authoritative Grammar file.
msg151315 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2012-01-16 02:28
New changeset 8f7e707ab729 by Benjamin Peterson in branch '3.2':
explain why we need this grammar file (closes #13766)
http://hg.python.org/cpython/rev/8f7e707ab729

New changeset ecc998ec8c6f by Benjamin Peterson in branch 'default':
merge 3.2 (#13766)
http://hg.python.org/cpython/rev/ecc998ec8c6f

New changeset 5d1c177c585b by Benjamin Peterson in branch '2.7':
explain why we need this grammar file (closes #13766)
http://hg.python.org/cpython/rev/5d1c177c585b
History
Date User Action Args
2012-01-16 02:28:55python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg151315

resolution: fixed
stage: resolved
2012-01-14 11:36:56orsenthilsetnosy: + orsenthil
2012-01-14 03:54:20eric.araujosetnosy: + gvanrossum, benjamin.peterson, eric.araujo
2012-01-11 10:59:13tshepangcreate